## org.eclipse.datatools.sqltools.sqleditor.result
Class SimpleSQLResultRunnable

    java.lang.Object
      Job
          org.eclipse.datatools.sqltools.sqleditor.result.ResultSupportRunnable
              org.eclipse.datatools.sqltools.sqleditor.result.SimpleSQLResultRunnable

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  GroupSQLResultRunnable

public class SimpleSQLResultRunnable
extends ResultSupportRunnable

This is a simple ResultSupportRunnalbe, used to run a simple SQL statement. It do not support things like showing SP return value, output parameter, etc.

Author:
  Yang Liu
See Also:
  Serialized Form

Constructor Summary
`SimpleSQLResultRunnable(java.sql.Connection con, java.lang.String sql, boolean closeCon, IConnectionTracker tracker, IProgressMonitor parentMonitor, DatabaseIdentifier databaseIdentifier, ILaunchConfiguration configuration)` Constructs a `SimpleSQLResultRunnable` to run the specified sql statement.

Method Summary
`ILaunchConfiguration` `getConfiguration()`

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.result.ResultSupportRunnable
`getDatabaseIdentifier, loopThroughResults, run`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSQLResultRunnable

    public SimpleSQLResultRunnable(java.sql.Connection con,
                                   java.lang.String sql,
                                   boolean closeCon,
                                   IConnectionTracker tracker,
                                   IProgressMonitor parentMonitor,
                                   DatabaseIdentifier databaseIdentifier,
                                   ILaunchConfiguration configuration)

  Constructs a `SimpleSQLResultRunnable` to run the specified sql statement.

Parameters:
  `con` - the connection
  `sql` - the SQL statement to be run
  `closeCon` - whether should close connection
  `tracker` - if closeCon is true and tracker is not null, will notify it when close the connection
  `parentMonitor` - the parent monitor, used to cancel
  `databaseIdentifier` - contains connection information
  `configuration` - the launch configuration if this constructor is called by eclipse launch mechanism, or null.

Method Detail

### getConfiguration

    public ILaunchConfiguration getConfiguration()

  Specified by:
    `getConfiguration` in class `ResultSupportRunnable`
  Returns:
    Returns the _configuration.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.